メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    phone "github.com/auth0/go-auth0/management/branding/phone"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Branding.Phone.Templates.List(
        context.TODO(),
        &phone.ListPhoneTemplatesRequestParameters{
            Disabled: management.Bool(
                true,
            ),
        },
    )
}
{
  "templates": [
    {
      "id": "<string>",
      "content": {
        "syntax": "<string>",
        "from": "<string>",
        "body": {
          "text": "<string>",
          "voice": "<string>"
        }
      },
      "type": "otp_verify",
      "disabled": false,
      "channel": "<string>",
      "customizable": true,
      "tenant": "<string>"
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

disabled
boolean

Whether the template is enabled (false) or disabled (true).

レスポンス

The phone notification templates were retrieved.

templates
object[]